:root {
    --btn-hover-bg: rgb(0, 191, 255, 0.1);
    --border-radius: 40rem;
    --border-radius-small: 0.75rem;
    --theme-color: #00BFFF;
    --shadow: 4px 0 9px rgba(0, 0, 0, 0.1);
    --around-shadow: 0 0 6px 4px rgba(0, 0, 0, 0.1);
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

::selection {
    background: #0066FF;
    color: white;
}

body, html {
    height: 100%;
    width: 100%;
    background: #fff;
    font-family: 'Inter', sans-serif;
    overflow-x: hidden;
    overflow-y: auto;
}

header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #fff;
    box-shadow: var(--shadow);
    padding: 10px 30px;
    position: sticky;
    top: 0;
    z-index: 4;
    gap: 6px;
}

.logoCon {
    display: flex;
    align-items: center;
    gap: 9px;
}

.mBtn {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    color: #444;
    cursor: pointer;
    background: #fff;
    border-radius: 50px;
    height: 40px;
    width: 40px;
    padding: 8px;
}

.mBtn:hover {
    background: var(--btn-hover-bg);
    color: #000;
}

.logo {
    height: 40px;
}

.sCon {
    display: flex;
    align-items: center;
    background: #fff;
    border-radius: var(--border-radius);
    border: 1px solid #ccc;
    padding: 12px 18px;
    width: 400px;
    height: 40px;
}

.sCon input {
    border: none;
    outline: none;
    background: transparent;
    font-size: 14px;
    color: #000;
    width: 100%;
}

.sCon input::placeholder {
    color: #aaa;
}

.sCon input:focus {
    color: #000;
}

.sCon .fa-search {
    color: #aaa;
    font-size: 20px;
    margin-right: 10px;
}

.sCon button {
    background: transparent;
    border: none;
    cursor: pointer;
}

.sCon button:hover {
    color: var(--theme-color);
}

.hNav {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.hNav .uBtn {
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--theme-color);
    padding: 0 10px;
    text-decoration: none;
    font-size: 14px;
    border-radius: var(--border-radius);
    border: 1px solid #ccc;
    transition: all 140ms ease-in;
    height: 40px;
    cursor: pointer;
}

.hNav .uBtn:hover {
    border: 1px solid transparent;
    background: rgb(0, 191, 255, 0.1);
}

.hNav a {
    display: flex;
}

.uProfile {
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

.fa-solid, .fas {
    margin-right: 10px;
}

.sNav {
    padding-top: 20px;
    background: #fff;
    width: 250px;
    height: 100vh;
    position: fixed;
    transition: all 140ms ease-in;
}

.sNav.active {
    width: 90px;
}

.sNav.active .eH3 {
    display: none;
}

.sNav.active .eCategories {
    display: none;
}

.sNav.active .nlTitle {
    display: none;
}

.sNav.active .fa-solid, .fas {
    margin-right: 0; 
}

.sNav.active a {
    justify-content: center;
    padding: 0;
    width: 50px;
}

.sNav.active + .cArea {
    margin-left: 90px;
}

.snBtn {
    display: flex;
    align-items: center;
    text-align: center;
    color: #444;
    text-decoration: none;
    font-size: 14px;
    padding: 0 20px;
    margin: 0 20px;
    border-radius: var(--border-radius-small);
    transition: all 140ms ease-in;
    height: 50px;
}

.snBtn.active {
    color: var(--theme-color);
    background: var(--btn-hover-bg);
    font-weight: 600;
}

.snBtn:hover {
    color: #000;
}

.sNav hr {
    margin: 0 24px;
    border: none;
    border-top: 1px solid #ccc;
}

.sNav h3 {
    font-size: 18px;
    margin: 9px 20px;
}

.cArea {
    transition: all 140ms ease-in;
    margin-left: 250px;
    min-height: calc(100vh - 120px);
    padding: 20px 0 60px 0;
}

.vCon {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.vcCon {
    width: 32%;
    padding: 10px;
    border-radius: var(--border-radius-small);
    transition: all 140ms ease-in;
    position: relative;
}

.vCard {
    background: transparent;
    width: 100%;
    cursor: pointer;
    transition: all 140ms ease-in;
    margin: auto;
}

.vcCon:hover {
    background: var(--btn-hover-bg);
}

.vCard img {
    width: 100%;
    transition: all 140ms ease-in;
    border-radius: var(--border-radius-small);
    object-fit: cover;
    margin-bottom: 12px;
}

.vTitle {
    margin-bottom: 4px;
    font-size: 17px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.cName {
    color: #666;
    font-size: 13px;
    transition: all 140ms ease-in;
}

.cName:hover {
    color: var(--theme-color);
}

.cName:hover:after {
    background: rgb(102, 102, 102, 0.94);
    color: #fff;
    content: attr(rel);
    display: block;
    margin-top: -64px;
    position: absolute;
    padding: 9px 12px;
    border-radius: var(--border-radius-small);
}

.cName i {
    margin: 0 0 0 4px;
}

.vInfo p {
    color: #666;
    font-size: 13px;
}

.mbNav {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background: #fff;
    padding: 9px 0;
    box-shadow: var(--shadow);
    border-top: 2px solid #00BFFF;
}

.mnBtn {
    display: flex;
    flex-direction: column;
    flex: 1;
    align-items: center;
    justify-content: center;
    color: var(--theme-color);
    padding: 0 10px;
    text-decoration: none;
    font-size: 12px;
    border-radius: var(--border-radius);
    transition: all 140ms ease-in;
    height: 40px;
}

.mnIcon {
    margin-bottom: 4px;
    font-size: 14px;
}

.mobile-create-icon {
    font-size: 18px;
}

.mobile-create-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--theme-color);
    color: #fff;
    height: 40px;
    width: 40px;
    border-radius: var(--border-radius);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}

.msBtn {
    text-decoration: none;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #00BFFF;
    border-radius: var(--border-radius);
    height: 40px;
    width: 40px;
    position: relative;
}

.msInput {
    width: 0;
    height: 0;
    overflow: hidden;
    border: none;
    outline: none;
    font-size: 14px;
    position: absolute;
    right: 100px;
    background: #fff;
    transition: all 140ms ease-in;
    border-radius: var(--border-radius);
}

.msInput.active {
    width: 250px;
    height: 40px;
    padding: 0 10px;
    border: 1px solid #ccc;
    outline: none;
    font-size: 14px;
    background: #fff;
}

@media (max-width: 1023px) {
    .sNav {
        width: 200px;
        padding-top: 20px;
    }

    .sNav.active {
        width: 70px;
    }
    
    .snBtn {
        margin: 5px 10px;
    }
    
    .cArea {
        margin-left: 200px;
        padding: 10px 0 0 0;
    }
    
    .vcCon {
        width: 49%;
    }

    .sNav.active + .cArea {
        margin-left: 70px;
    }
}

@media (max-width: 767px) {
    header {
        padding: 9px 6px;
    }
    
    .logoCon {
        gap: 4px;
    }
    
    .fa-solid, .fas {
        margin-right: 0;
    }
    
    .hNav span {
        display: none;
    }
    
    .hNav .uBtn {
        display: none;
    }
    
    .sCon {
        display: none;
    }
    
    .msInput {
        display: block !important;
    }
    
    .msBtn {
        display: flex !important;
        width: 40px;
    }
    
    .sNav {
        display: none;
    }
    
    .cArea {
        margin-left: 0;
        padding: 10px 0 60px 0;
    }
    
    .vcCon {
        width: 100%;
        padding: 0;
        margin: 6px 0;
    }
    
    .vcCon:hover {
        background: transparent;
    }
    
    .vCard img {
        border-radius: 0;
    }
    
    .vInfo {
        margin: 0 10px;
    }
    
    .mbNav {
        display: flex !important;
    }
    
    .mBtn {
        display: none;
    }
}